%define _vararpwatch    %{_localstatedir}/arpwatch

Summary: Network monitoring tools for tracking IP addresses on a network.
Name: arpwatch-sql
Version: 2.1a13
Release: 2
Group: Applications/System
License: BSD
URL: http://ee.lbl.gov
Prereq: /sbin/chkconfig /sbin/service
Prereq: shadow-utils
Source0: ftp://ftp.ee.lbl.gov/arpwatch-%{version}.tar.gz
Source1: arpwatch-sql.init
Source2: arpwatch-sql.sysconfig
Source3: arpwatch-sql.sql
Source4: arpwatch-sql.conf
Patch34: arpwatch-2.1a4-fhs.patch
Patch35: arpwatch-2.1a10-man.patch
Patch38: arpwatch-drop.patch
Patch39: arpwatch-drop-man.patch
Patch41: arpwatch-addr.patch
Patch42: arpwatch-dir-man.patch
Patch43: arpwatch-ethcodes.patch.bz2
Patch100: arpwatch-sql-2.1a13-nosnmp.patch
Patch101: arpwatch-sql-2.1a13.patch
Requires: arpwatch mysql
BuildRequires: mysql-devel
BuildRoot: %{_tmppath}/%{name}-root

%description
The arpwatch package contains arpwatch and arpsnmp.  Arpwatch and
arpsnmp are both network monitoring tools.  Both utilities monitor
Ethernet or FDDI network traffic and build databases of Ethernet/IP
address pairs, and can report certain changes via email.

Install the arpwatch package if you need networking monitoring devices
which will automatically keep track of the IP addresses on your
network.

%prep
#%setup -q -n arpwatch-%{version}.tar.gz
%setup -q -n arpwatch-2.1a13

%patch34 -p1 -b .fhs
%patch35 -p1 -b .arpsnmpman
%patch38 -p1 -b .droproot
%patch39 -p0 -b .droprootman
%patch41 -p1 -b .mailuser
%patch42 -p1 -b .dirman
%patch43 -p1
%patch100 -p0 -b .nosnmp
%patch101 -p1 -b .sql

%{__cp} %{SOURCE3} ${RPM_BUILD_DIR}/arpwatch-2.1a13

%build
unset CFLAGS
%configure
make ARPDIR=%{_vararpwatch}

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}

make DESTDIR=${RPM_BUILD_ROOT} install

install -p -D -m755 %{SOURCE1} ${RPM_BUILD_ROOT}/%{_sysconfdir}/rc.d/init.d/arpwatch-sql
install -p -D -m644 %{SOURCE2} ${RPM_BUILD_ROOT}/%{_sysconfdir}/sysconfig/arpwatch-sql
#install -p -D -m644 %{SOURCE3} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}-%{version}/arpwatch-sql.sql
install -p -D -m600 %{SOURCE4} ${RPM_BUILD_ROOT}/%{_sysconfdir}/arpwatch-sql.conf

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/chkconfig --del arpwatch
/sbin/chkconfig --add arpwatch-sql

%postun
/sbin/service arpwatch-sql condrestart >/dev/null 2>&1 || :

%preun
if [ "$1" = "0" ]; then
	/sbin/service arpwatch-sql stop > /dev/null 2>&1
	/sbin/chkconfig --del arpwatch-sql
fi
exit 0

%files
%defattr(-,root,root)
%doc README CHANGES arpwatch-sql.sql
%{_sbindir}/arpwatch-sql
%config	%{_sysconfdir}/rc.d/init.d/arpwatch-sql
%config(noreplace) %{_sysconfdir}/sysconfig/arpwatch-sql
%config(noreplace) %{_sysconfdir}/arpwatch-sql.conf

%changelog
* Fri Jul 28 2006 Petr Vokac <vokac@kmlinux.fjfi.cvut.cz> - 2.1a13-1
- initial release
