--
-- Create new ppolicy database
--
CREATE DATABASE IF NOT EXISTS arpwatch;

--
-- Create new user that will be used to access database
-- You should change password 'secret' to something more secure
-- If you are using MySQL running on some different machine
-- than replace 'localhost' with appropriate domain name or '%'
--
GRANT INSERT
  ON arpwatch.arpwatch TO 'arpwatch'@'localhost'
IDENTIFIED BY 'secret';

--
-- Apply new (user) privileges (do I need this?)
--
FLUSH PRIVILEGES;

CREATE TABLE `arpwatch` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `ip` INT NOT NULL ,
  `timestamp` DATETIME NOT NULL,
  `timestamp_old` DATETIME DEFAULT NULL,
  `mac` CHAR(17) NOT NULL ,
  `mac_old` CHAR(17) DEFAULT NULL ,
  `title` VARCHAR(32) NOT NULL ,
  PRIMARY KEY ( `id` ),
  INDEX ( `ip` ),
  INDEX ( `timestamp` ),
  INDEX ( `mac` ),
  INDEX ( `title` )
);
